Cara menginstal versi Python tertentu di Ubuntu

Seringkali kita menginstal program di sistem kita, dan ternyata versinya salah. Ini dapat menyebabkan masalah kompatibilitas dan kinerja karena mungkin tidak berkomunikasi dengan modul pihak ketiga dengan benar. Sama halnya dengan Python, dan sebagai programmer yang waspada, kita harus mencari tahu versi yang benar yang kita butuhkan. Oleh karena itu, dalam panduan ini, kami akan menunjukkan kepada Anda cara menginstal versi Python tertentu di sistem Ubuntu Anda.

Python di Ubuntu

Biasanya, Python sudah diinstal sebelumnya di banyak distribusi Linux. Dalam kasus kami, kami memiliki Python3. Mulai sesi Terminal baru melalui menu Aktivitas atau dengan menekan Ctrl + Alt + T pada keyboard Anda. Agar aman, Anda dapat memeriksa apakah distro Anda telah menginstal Python atau tidak dengan menjalankan perintah berikut.

$ python --version

Atau, jika Anda menjalankan Python 3 seperti kami, perintah di bawah ini harus menyelesaikan pekerjaan.

$ python3 --version

Anda dapat melihat pada gambar bahwa sistem menjalankan Python 3.8.5. Disarankan untuk memutakhirkan versi Python Anda jika Anda menjalankan Python 3.3 atau lebih rendah. Tetap di sini untuk mengetahui lebih lanjut tentang versi mana yang harus Anda dapatkan, karena kami akan membahasnya di segmen akhir artikel.

Pada bagian di bawah ini, kami akan menunjukkan bagaimana Anda dapat menginstal versi Python apa pun di sistem Anda, apakah itu versi yang diperbarui atau yang sudah ketinggalan zaman.

Menginstal versi tertentu dari Python

Langkah pertama untuk menginstal Python adalah menginstal dependensi dan paket yang diperlukan untuk instalasinya. Namun, untuk menginstal dependensi ini, Anda harus mengaktifkan repositori multiverse. Anda dapat mengaktifkannya dengan menjalankan perintah yang diberikan di bawah ini.

$ sudo apt-add-repository multiverse

Setelah itu selesai, kami melanjutkan untuk menginstal dependensi pertama. Jalankan perintah di bawah ini untuk melanjutkan.

$ sudo apt-get install build-essential checkinstall

Seharusnya selesai mengdownload dan menginstal dalam beberapa saat. Setelah selesai, lanjutkan ke yang berikutnya dengan menjalankan perintah di bawah ini.

$ sudo apt-get install libreadline-gplv2-dev libncursesw5-dev libssl-dev libsqlite3-dev tk-dev libgdbm-dev libc6-dev libbz2-dev

Ini adalah perintah yang panjang dan rumit, jadi cukup copy-tempel ke Terminal Anda untuk menghindari error pengetikan.

Setelah melakukan itu, kami melanjutkan untuk mengdownload Python dan menginstalnya. Demi menunjukkan kepada Anda cara menginstal versi tertentu, kami akan menurunkan versi Python kami dari 3.8.5 ke Python 2.7.

Pertama, kami mengubah direktori saat ini ke folder Downloadan tempat kami ingin mengdownload paket. Ini dapat dilakukan dengan menjalankan perintah di bawah ini.

$ cd ~/Downloads/

Langkah selanjutnya adalah “wget” paket dari situs web Python.

$ wget https://www.python.org/ftp/python/2.7.12/Python-2.7.12.tgz

Klik di sini untuk mengakses lokasi dari mana Anda dapat memilih versi Python apa pun yang Anda sukai. Semua yang perlu diubah dalam perintah wget adalah tautannya.

Setelah berhasil mengdownload versi Python tertentu, langkah terakhirnya sederhana dan mudah. Pertama, kita akan mengekstrak paket melalui perintah di bawah ini.

$ tar -xvf Python-2.7.12.tgz

Anda dapat mengganti nomor versi sebagai Python- versi.tgz sesuai dengan paket Anda.

Langkah selanjutnya termasuk membuka direktori Python, mengkonfigurasi file, dan menginstalnya. Jalankan perintah di bawah ini dalam urutan yang diberikan untuk melanjutkan.

$ cd Python-2.7.12
$./configure
$ make
$ sudo checkinstall

Proses instalasi, meskipun mudah dan sederhana, akan memakan waktu beberapa menit untuk diselesaikan. Setelah selesai, Anda dapat memeriksa apakah instalasi berhasil atau tidak dengan hanya menjalankan perintah yang kami sebutkan di awal.

Seperti yang Anda ketahui dari gambar, kami telah berhasil menurunkan versi dari Python 3.8.5 ke Python 2.7.12. Anda dapat melakukan hal yang sama untuk versi tertentu pilihan Anda.

Mengapa Anda harus menginstal Python 3.5 atau lebih baru

Sekarang setelah kita membahas inti masalahnya, mari kita bicara tentang versi Python mana yang harus Anda dapatkan dan mengapa.

Mari kita mulai dengan angka. Masuk akal bahwa seiring berjalannya waktu, utilitas atau bahasa pemrograman berkembang dalam hal fitur dan kinerja. Python 2.0 dirilis pada tahun 2000, Python 2.7 pada 2010, sedangkan Python 3.0 dirilis pada 2008, dan Python 3.6 pada 2016. Versi terbaru memiliki lebih banyak alat dan pustaka yang Anda inginkan, jadi masuk akal untuk menggunakan versi yang lebih baru. Namun, dapat dimengerti jika Anda mencoba menginstal versi lama dengan sengaja jika beberapa fitur yang Anda perlukan kemudian dihapus.

Python 2.0 masih digunakan di banyak sistem Linux sebagai versi default. Beberapa perusahaan juga menggunakan Python 2 untuk semua pekerjaan mereka. Namun, seiring kemajuan teknologi, semakin banyak perusahaan yang bergerak ke arah Python3. Misalnya, Instagram memigrasikan basis kodenya dari Python 2.7 ke Python 3 pada tahun 2017. Demikian pula, Facebook mengejar dan meningkatkan infrastrukturnya ke Python 3.4 dan yang lebih baru.

Selain itu, Python 3 lebih mudah dipahami dan dipelajari untuk pemula. Jadi, jika Anda baru memulai dengan bahasa pemrograman ini, lebih baik tinggalkan yang lama ke yang lama dan mulai perjalanan Anda dengan versi Python yang baru dan dicetak. Singkatnya, bagi mereka yang belum melakukannya, pertimbangkan untuk memutakhirkan Python Anda ke versi 3.5 atau yang lebih baru.

Kesimpulan

Di era komputasi cararn, penting bagi kami untuk terus memperbarui sistem kami, perangkat lunak kami bebas dari virus, dan utilitas kami ditingkatkan ke versi terbarunya. Dengan cara ini, kita dapat membuat tugas sehari-hari menjadi lebih mudah, sederhana, dan akurat. Jadi menjadi seorang programmer atau pengembang membantu untuk memiliki versi terbaru dari Python dan berjalan di sistem Anda.

Related Posts